Subject: Re: [linux-pm] power draw depending on PHY speed

From: "Rafael J. Wysocki" <[email-masked]>
Date: Fri, 28 Aug 2009 21:03:59 +0200

On Friday 28 August 2009, Leisner, Martin wrote:
> While doing some current probe measurements (i.e. to measure the effects
> of NAP and frequency scaling with a freescale processor) I noticed some
> very
> significant differents if we ran on 100Mbit of 1000Mbit ethernet.
> 
> The hardware guys like at their data sheets and agreed.
> 
> Does anyone "drop ethernet speed" to save power?
> (when a system is idle, is isn't necessary to run 1G ethernet).

I don't know, really.  This is a netdev question IMO (CC added).

> When a system has WOL capability, what speed does it run at when the
> system is sleeping?

That's a very good question.  I bet that depends on the NIC in question, at
least I'm not sure if any spec regulates it.

Thanks,
Rafael